# eric4.Globals.__init__

Module defining common data to be used by all modules.

### Global Attributes

recentNameFiles
recentNameMultiProject
recentNameProject
settingsNameGlobal
settingsNameOrganization
settingsNameRecent

### Classes

None

### Functions

getPyQt4ModulesDirectory | Function to determine the path to PyQt4's modules directory.
getPythonModulesDirectory | Function to determine the path to Python's modules directory.
isLinuxPlatform | Function to check, if this is a Linux platform.
isMacPlatform | Function to check, if this is a Mac platform.
isWindowsPlatform | Function to check, if this is a Windows platform.

## getPyQt4ModulesDirectory

getPyQt4ModulesDirectory()

Function to determine the path to PyQt4's modules directory.

Returns:
  path to the PyQt4 modules directory (string)

Up

## getPythonModulesDirectory

getPythonModulesDirectory()

Function to determine the path to Python's modules directory.

Returns:
  path to the Python modules directory (string)

Up

## isLinuxPlatform

isLinuxPlatform()

Function to check, if this is a Linux platform.

Returns:
  flag indicating Linux platform (boolean)

Up

## isMacPlatform

isMacPlatform()

Function to check, if this is a Mac platform.

Returns:
  flag indicating Mac platform (boolean)

Up

## isWindowsPlatform

isWindowsPlatform()

Function to check, if this is a Windows platform.

Returns:
  flag indicating Windows platform (boolean)

Up